// import request from "@/api/request";
import http from "@/api/http";

export default {
  async queryConfigList() {
    return http({   
      url: '/config/list',
      method: 'GET'
    })
  },

  async queryDepartmentList() {
    return http({   
      url: '/config/queryDepartmentList',
      method: 'GET'
    })
  },

  // 获取分类的接口
  async queryCategoryList(){
    return http({
      url: '/config/queryCategoryList',
      method: 'GET'
    })
  },

  // 获取故障情况列表
  async queryMalfunctionDescList(data) {
    return http({
      url: '/config/queryMalfunctionDescList',
      method: 'GET',
      data
    })
  },

  // 获取人员情况
  async queryUserList() {
    return http({
      url: '/userInfo/queryUserList',
      method: 'GET'
    })
  },
  
  // 配置- 查看轮播图列表
  async queryBannerList() {
    return http({
      url: '/config/queryBannerList',
      method: 'GET'
    })
  }
}